.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH SYMPHONY 1 "Jan 21, 2010"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
.SH NAME
symphony \- mixed\-integer linear program (MILP) solver
.SH SYNOPSIS
.B symphony
.RI
[ \-hagrtbd ] [ \-u ub ] [ \-p procs ] [ \-n rule ]
[ \-v level ] [ \-s cands ] [ \-c rule ] [ \-k rule ] 
[ \-m max ] [ \-l pools ] [ \-i iters ] [ \-f parameter_file_name ] [\-j 0/1] 
[\-o tree_out_file]
.br
.SH DESCRIPTION
This manual page briefly documents the \fBsymphony\fP command.
.PP
\fBsymphony\fP is a generic MILP solver that can be invoked from the command
line (through an interactive shell or in a batch mode), or by linking to the
provided callable library. When no options are given \fBsymphony\fP enters
the interactive shell mode. Otherwise the program enters the batch mode,
for which a summary of options is included below.

.SH OPTIONS
At a minimum, one must specify the name of the file to be read and solved.
.TP
.B \-h
help
.TP
.B \-a
no cut timeout
.TP
.B \-d
enable graph drawing
.TP
.B \-g
use cut generator
.TP
.B \-r
do repricing in root
.TP
.B \-t
trim the tree
.TP
.B \-b
don't perform branch and cut
.TP
.B \-u ub
use upper bound 'ub'
.TP
.B \-p procs
allow 'procs' active nodes
.TP
.B \-n i
use node selection rule 'i'
.TP
.B \-v i
set verbosity to level 'i'
.TP
.B \-s cands
use 'cands' candidates for strong branching
.TP
.B \-k i
use rule 'i' to select child
.TP
.B \-m n
allow a max of 'n' cuts to enter per iteration
.TP
.B \-e n
allow a max of 'n' cut pools
.TP
.B \-l n k
load balance level 'n' and iterations 'k'
.TP
.B \-i n
allow a max of 'n' iterations in presolve
.TP
.B \-f file
read parameters from parameter file 'file'
.TP
.B \-j 0/1
whether or not to generate cgl cuts
.TP
.B \-z n
set diving threshold to 'n'
.TP
.B \-o file
output vbc-like tree information to file 'file'
.TP
Solver-specific switches:
.TP
symphony [ \-H ] [ \-FL file ] 
.TP
.B \-H
help (solver-specific switches)
.TP
.B \-F model
model should be read in from file 'model' (MPS format is assumed unless \-D is also present)
.TP
.B \-L model
LP format model should be read in from file 'model'
.TP
.B \-D data
model is in AMPL format and data is in file 'data'
.br
.SH SEE ALSO
For a complete description, see 
.TP
.B /usr/share/doc/coinor\-libsymphony\-doc/user\-guide.pdf.gz
.TP
in the \fBcoinor\-libsymphony\-doc\fP package.
.br
.SH AUTHOR
.PP
\fBsymphony\fP was written by Ted Ralphs et.al.
.PP
This manual page was written by Aramian Wasielak <aramian.wasielak@gmail.com>,
based on "symphony \-h" and clp.1, for the Debian project (but may be used by others).
